Public Class Form1
    Private WithEvents cFlash As FlashWindow
    Private MeWindowState As System.Windows.Forms.FormWindowState

    Private WithEvents Item1 As New ToolStripMenuItem()
    Private WithEvents Item2 As New ToolStripMenuItem()
    Private Separ As New ToolStripSeparator()

    Private Sub Form1_Load(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles MyBase.Load

        Item1.Text = "Form1 aktivieren"
        Item2.Text = "Job beenden"

        With ContextMenuStrip1
            .Items.Add(Item1)
            .Items.Add(Separ)
            .Items.Add(Item2)
        End With

        With NotifyIcon1
            .Icon = SystemIcons.Asterisk
            .ContextMenuStrip = ContextMenuStrip1
            .BalloonTipText = "Form1 zu FlashWindow"
        End With

        NotifyIcon1.Icon = SystemIcons.Asterisk

        RadioButton1.Text = "Flash Title"
        RadioButton2.Text = "Flash Task"
        RadioButton3.Text = "Flash All"

        CheckBox1.Text = "NotifyIcon zeigen"
        CheckBox2.Text = "Flash Icon"
        CheckBox1.Checked = True
        CheckBox2.Checked = True

        Button1.Text = "Start Flash"
        Button2.Text = "Stop Flash"
        Button3.Text = "Minimize Me"

        cFlash = New FlashWindow(NotifyIcon1)
    End Sub

    Private Sub Form1_Resize(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles Me.Resize

        If Me.WindowState = FormWindowState.Minimized Then
            If NotifyIcon1.Visible Then
                Me.Hide()
            End If
        Else
            MeWindowState = Me.WindowState
        End If
    End Sub

    Private Sub Form1_Shown(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles Me.Shown

        RadioButton3.Checked = True
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles Button1.Click

        Dim FM As FlashWindow.FlashWindowMode = _
            FlashWindow.FlashWindowMode.FlashAll
        If RadioButton1.Checked Then
            FM = FlashWindow.FlashWindowMode.FlashTitle
        ElseIf RadioButton2.Checked Then
            FM = FlashWindow.FlashWindowMode.FlashTask
        End If

        If CheckBox2.Checked Then
            cFlash.FlashNotifyIcon = True
        End If

        cFlash.StartFlash(Me, FM)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles Button2.Click

        cFlash.StopFlash(Me)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles Button3.Click

        Me.WindowState = FormWindowState.Minimized
    End Sub

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged

        NotifyIcon1.Visible = CheckBox1.Checked
        If CheckBox1.Checked Then
            CheckBox2.Enabled = True
        Else
            CheckBox2.Checked = False
            CheckBox2.Enabled = False
        End If
    End Sub

    Private Sub Item1_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles Item1.Click

        Me.Show()
        Me.WindowState = MeWindowState
        Me.Activate()
        cFlash.StopFlash(Me)
    End Sub

    Private Sub Item2_Click(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles Item2.Click

        Me.Close()
    End Sub

    Private Sub NotifyIcon1_DoubleClick(ByVal sender As Object, _
        ByVal e As System.EventArgs) Handles NotifyIcon1.DoubleClick

        Me.Show()
        Me.WindowState = MeWindowState
        Me.Activate()
        cFlash.StopFlash(Me)
    End Sub

    Private Sub RadioButton1_CheckedChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles RadioButton1.CheckedChanged

        cFlash.StopFlash(Me)
    End Sub

    Private Sub RadioButton2_CheckedChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles RadioButton2.CheckedChanged

        cFlash.StopFlash(Me)
    End Sub

    Private Sub RadioButton3_CheckedChanged(ByVal sender As System.Object, _
        ByVal e As System.EventArgs) Handles RadioButton3.CheckedChanged

        cFlash.StopFlash(Me)
    End Sub

End Class
